package main

import (
	"fmt"
	"os"

	"forgejo.zerova.net/public/fj/cmd"
)

func main() {
	if err := cmd.Execute(); err != nil {
		err = cmd.ContextualError(err)
		if cmd.JSONErrors() {
			cmd.WriteJSONError(err)
		} else {
			fmt.Fprintln(os.Stderr, err)
		}
		os.Exit(1)
	}
}
